openSUSE Security Update: Security update for git
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:0405-1
Rating:             important
References:         #1183026 
Cross-References:   CVE-2021-21300
CVSS scores:
                    CVE-2021-21300 (SUSE): 7.5 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Leap 15.2
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for git fixes the following issues:

   - On case-insensitive filesystems, with support for symbolic links, if Git
     is configured globally to apply delay-capable clean/smudge filters (such
     as Git LFS), Git could be fooled into running remote code during a
     clone. (bsc#1183026, CVE-2021-21300)

   This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-405=1



Package List:

   - openSUSE Leap 15.2 (i586 x86_64):

      git-2.26.2-lp152.2.6.1
      git-arch-2.26.2-lp152.2.6.1
      git-core-2.26.2-lp152.2.6.1
      git-core-debuginfo-2.26.2-lp152.2.6.1
      git-credential-gnome-keyring-2.26.2-lp152.2.6.1
      git-credential-gnome-keyring-debuginfo-2.26.2-lp152.2.6.1
      git-credential-libsecret-2.26.2-lp152.2.6.1
      git-credential-libsecret-debuginfo-2.26.2-lp152.2.6.1
      git-cvs-2.26.2-lp152.2.6.1
      git-daemon-2.26.2-lp152.2.6.1
      git-daemon-debuginfo-2.26.2-lp152.2.6.1
      git-debuginfo-2.26.2-lp152.2.6.1
      git-debugsource-2.26.2-lp152.2.6.1
      git-email-2.26.2-lp152.2.6.1
      git-gui-2.26.2-lp152.2.6.1
      git-p4-2.26.2-lp152.2.6.1
      git-svn-2.26.2-lp152.2.6.1
      git-svn-debuginfo-2.26.2-lp152.2.6.1
      git-web-2.26.2-lp152.2.6.1
      gitk-2.26.2-lp152.2.6.1

   - openSUSE Leap 15.2 (noarch):

      git-doc-2.26.2-lp152.2.6.1


References:

   https://www.suse.com/security/cve/CVE-2021-21300.html
   https://bugzilla.suse.com/1183026